<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_hist.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_hist" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_hist</refname>
    <refpurpose>Produce histogram counts or plots</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   nn = nan_hist(Y)
   nn = nan_hist(Y,nbins)
   nn = nan_hist(Y,X)
   nan_hist(...,'plot')  produces a histogram bar plot of   the results.
   nan_hist(AX,...) plots into AX instead of GCA.
   [nn,xx] = nan_hist(...)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>Y:</term>
      <listitem><para> input vector or matrix. If Y is a   matrix, hist works down the columns.</para></listitem></varlistentry>
   <varlistentry><term>nbins:</term>
      <listitem><para> number of equally spaced containers in which Y is sorted [default: 10]</para></listitem></varlistentry>
   <varlistentry><term>X:</term>
      <listitem><para> X is a vector which specifies  centers of each container. The first bin includes  data between -inf and the first center and the last bin   includes data between the last bin and inf. Note: Use HISTC if  it is more natural to specify bin edges instead.</para></listitem></varlistentry>
   <varlistentry><term>nn:</term>
      <listitem><para> number of elements in each container</para></listitem></varlistentry>
   <varlistentry><term>xx:</term>
      <listitem><para> position of the bin centers in X.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
With one vector input argument, Y, produces a histogram of the valueswith 10 bins.  The range of the histogram bins is determined by the
range of the data.  With one matrix input argument, Y, plot a
histogram where each bin contains a bar per input column.
   </para>
   <para>
Given a second vector argument, X, use that as the centers of
the bins, with the width of the bins determined from the adjacent
values in the vector.
   </para>
   <para>
If scalar, the second argument, nbins, defines the number of bins.
   </para>
   <para>
   </para>
   <para>
Extreme values are lumped in the first and last bins.
   </para>
   <para>
With two output arguments, produce the values nn and xx such
that bar (xx, nn) will plot the histogram.
   </para>
   <para>
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x = -4:0.1:4;
y = rand(10000,1,'normal');
nan_hist(y,x,'plot')
   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_histc">nan_histc</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt</member>
   </simplelist>
</refsection>
</refentry>
